<?php
// namespace controllers;
// use core\view as View;

/**
* Welcome default landing page...
**/
class Welcome extends Controller{

	public function __construct(){
		parent::__construct();
		Language::load();
		Language::add('welcome');
	}

	/**
	* Main landing page set in index.php...
	* nothing to write here meanwhile...
	**/
	public function index($request = null){
		$this->_view->rendercusttmpl('orn','header');
		if(Auth::handleCookedLogin()){
			$srch = ['ugend' => Session::get("user_gender")];
			$this->_view->render('listed/top');
			$this->_view->render('listed/srch',$srch);
			$this->_view->render('welcome/welcome');
			$this->_view->render('listed/bottom');
		}else{
			$this->_view->render('guest/top');
			$this->_view->render('guest/srch');
			$this->_view->render('welcome/welcome');
			$this->_view->render('guest/bottom');
		}
		$this->_view->rendercusttmpl('orn','footer');
	}
}